
from neox.commons.dialogs import HelpDialog


class Help(HelpDialog):

    def __init__(self, parent):
        super(Help, self).__init__(parent)
        shortcuts = [
            (self.tr('HELP'), 'F1'),
            (self.tr('SEARCH'), 'F2'),
            (self.tr('PAYMENT MODE'), 'F3'),
            (self.tr('SEARCH CUSTOMER'), 'F4'),
            (self.tr('ADD TAXES'), 'F5'),
            (self.tr('PRINT ORDER'), 'F6'),
            (self.tr('PRINT INVOICE'), 'F7'),
            (self.tr('PAYMENT TERM'), 'F8'),
            (self.tr('SEARCH SALES'), 'F9'),
            (self.tr('ACTIVATE TABLE'), 'F10'),
            (self.tr('NEW SALE'), 'F11'),
            (self.tr('CANCEL SALE'), 'F12'),
            (self.tr('SALESMAN'), 'Home'),
            (self.tr('POSITION'), 'Insert'),
            (self.tr('CASH'), 'End'),
            (self.tr('COMMENT'), 'Page Down'),
        ]

        self.set_shortcuts(shortcuts)
